#!/bin/bash

# check if we're in the container
if [ "$(id -un)" == "build" -a "$HOME" == "/code" ]; then

	# ensure that we have a valid git config
	git config --global user.name "docker-based build"
	git config --global user.email build@paderborn.freifunk.net

        # invoke the actual build
	./build.sh $@

else

	# nope, it's the local system
        MYDIR="$(dirname $0)"
	MYDIR="$(readlink -f $MYDIR)"
	pushd "$MYDIR" > /dev/null

	# build the container (TODO: remove this, it should get pulled from the hub)
	docker build -t ffpb/build docker

        # run the container with fixed hostname and mapped /code directory
	docker run -ti -h ffpb-build -v "$MYDIR:/code" \
	  --env HOME=/code \
          --env BUILD_TS="$BUILD_TS" \
          --env BASE="$BASE" \
          --env BRANCH="$BRANCH" \
          --env VERBOSE="$VERBOSE" \
          --env VERSION="$VERSION" \
          ffpb/build

	popd > /dev/null

fi

